{
  "FileName" : "DOCS-oow2014-hol9460-docs-se.docx",
  "SemanticPath" : "DOCS oow2014 hol9460 docs se",
  "DocExtension" : "docx",
  "CreatedOn" : "2016-06-30T22:15:00Z",
  "ModifiedOn" : "2016-09-14T06:00:00Z",
  "Author" : "Anthony Go",
  "Title" : "Functional Design",
  "Pages" : 11,
  "Words" : 858,
  "Images" : 10,
  "Paragraphs" : 91,
  "Content" : [ {
    "Id" : 1,
    "Titles" : null,
    "Text" : "Functional Design.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 2,
    "Titles" : null,
    "Text" : "Travel Authorization Process into ERP Cloud.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 3,
    "Titles" : null,
    "Text" : "Author: \tDerek Beltz and Anthony Go.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 4,
    "Titles" : null,
    "Text" : "File Name: \tFunctional Design - Travel Authorization.docx.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 5,
    "Titles" : null,
    "Text" : "Version:\t1.1.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 6,
    "Titles" : null,
    "Text" : "Release Date: \tJune 10th, 2016.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 7,
    "Titles" : null,
    "Text" : "Approved By.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 8,
    "Titles" : null,
    "Text" : "Document Control.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "1",
    "Images" : [ ]
  }, {
    "Id" : 9,
    "Titles" : null,
    "Text" : "Modification Record.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "2",
    "Images" : [ ]
  }, {
    "Id" : 10,
    "Titles" : null,
    "Text" : "Reviewed By.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "2",
    "Images" : [ ]
  }, {
    "Id" : 11,
    "Titles" : null,
    "Text" : "Distribution List.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "2",
    "Images" : [ ]
  }, {
    "Id" : 12,
    "Titles" : null,
    "Text" : "Table of Contents.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 13,
    "Titles" : null,
    "Text" : "1.\tIntroduction\t4.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 14,
    "Titles" : null,
    "Text" : "2.\tSpecifications\t5.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 15,
    "Titles" : null,
    "Text" : "2.1\tPrerequisites\t5.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 16,
    "Titles" : null,
    "Text" : "2.2\tProcess Diagram\t5.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 17,
    "Titles" : null,
    "Text" : "2.3\tKey Process Steps\t6.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 18,
    "Titles" : null,
    "Text" : "2.3.1\tEnter Travel Authorization screen\t6.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 19,
    "Titles" : null,
    "Text" : "2.3.2\tApprove Travel Request in PCS (or via iPad)\t9.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 20,
    "Titles" : null,
    "Text" : "2.3.3\tExpense Report Created in ERP Cloud Based On Travel Auth Info\t9.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 21,
    "Titles" : null,
    "Text" : "2.4\tAssumptions\t10.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 22,
    "Titles" : null,
    "Text" : "3.\tOpen and Closed Issues\t11.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 23,
    "Titles" : null,
    "Text" : "3.1\tOpen Issues\t11.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 24,
    "Titles" : null,
    "Text" : "3.2\tClosed Issues\t11.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 25,
    "Titles" : null,
    "Text" : "Introduction.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "0",
    "Images" : [ ]
  }, {
    "Id" : 26,
    "Titles" : null,
    "Text" : "Within many public sector organizations, employees are required to receive approval for travel, prior to the travel.  This can range from simply approval for the travel or can incorporate other variables such as overall travel amount, per diem, destination and others.  After the request flows through the proper approvals, the request should be noted in ERP Cloud to display that the proper authorization was received for travel.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 27,
    "Titles" : null,
    "Text" : "ERP Cloud does not have this capability built in, which makes an integration to Process Cloud Service highly desirable and highly effective.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 28,
    "Titles" : null,
    "Text" : "An employee logged into ERP Cloud can navigate to the Travel Authorization screen, embedded directly within ERP Cloud.  This will display the Travel Authorization form, as created in PCS.  Once submitted, the process retrieves the user’s manager and sends the notification to that user.   The manager can approve via the applicationn or through PCS Mobile.  After the process has been approved, an expense report is created in ERP Cloud, with an authorization id, description, and travel amount noted on the expense report.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 29,
    "Titles" : null,
    "Text" : "Specifications.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "0",
    "Images" : [ ]
  }, {
    "Id" : 30,
    "Titles" : null,
    "Text" : "Prerequisites.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "1",
    "Images" : [ ]
  }, {
    "Id" : 31,
    "Titles" : null,
    "Text" : "These are some demo items to note when setting up the environments:",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 32,
    "Titles" : null,
    "Text" : "Process Cloud Service user must match the Fusion user in some way.  In our prototype, the Fusion user was firstname.lastname, while the PCS user was email address.  We needed to modify our call to the HCM REST API to look up the manager using the employee email address, which returned the manager’s email address – equivalent of the PCS manager user.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 33,
    "Titles" : null,
    "Text" : "Both manager and employee users need to exist in PCS and Fusion.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 34,
    "Titles" : null,
    "Text" : "Process Diagram.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "1",
    "Images" : [ ]
  }, {
    "Id" : 35,
    "Titles" : null,
    "Text" : "Below is an export of our PCS Travel Authorization application.  We were using version 16.3.3 of PCS for this demo.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 36,
    "Titles" : null,
    "Text" : "",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ {
      "id" : 1,
      "file" : "image2.png",
      "text" : "ORACLE’ Process Cloud Service Composer.\n= TE. a FYE.\nApplication Home Travel Approval x.\nERE ARP RE).\n=».\nStart event.\nProcess Owner v Get Employee details.\nvia REST HCM Cloud.\nGet Manager UserlD.\nvia REST to HCM Cloud.\nTotal Amt > 1007.\nCost Greater Than.\nProcess Reviewer.\nApprove Request.\nThis makes a.\ncall into ERP.\nto create the.\nexpense report.\n@ 0.\nCreate Expense via Completed.\nSOAP to ERP CLoud “.\na a.\nMakes REST call into HCM to getthe.\nManager UserName from his PCS Login.\n(Work email in ERP).\nAssigns the “Process Reviewer\" to the.\nusers Manager email address in below.\n“Approve Request’.\nCostLess Than Limit No Manager Approval?"
    } ]
  }, {
    "Id" : 37,
    "Titles" : null,
    "Text" : "Key Process Steps.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "1",
    "Images" : [ ]
  }, {
    "Id" : 38,
    "Titles" : null,
    "Text" : "Enter Travel Authorization screen.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "2",
    "Images" : [ ]
  }, {
    "Id" : 39,
    "Titles" : null,
    "Text" : "A user logged into ERP Cloud can click on the Travel Authorization icon within ERP Cloud.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 40,
    "Titles" : null,
    "Text" : "",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ {
      "id" : 2,
      "file" : "image3.png",
      "text" : "\".\n1 0 0.\nConversations | Folowng | Folowers.\n8 Employee News ®.\nBw riaes °."
    } ]
  }, {
    "Id" : 41,
    "Titles" : null,
    "Text" : "The PCS Travel Authorization form is embedded in Fusion ERP Cloud.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 42,
    "Titles" : null,
    "Text" : "",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ {
      "id" : 3,
      "file" : "image4.png",
      "text" : "eat.\ndeekbetzgarace.com.\nStone a roves.\namber of pe Dem ys.\nEstimated Cost of Travel.\nendomec Tro.\nNeed arena car?\nNesta hte?"
    } ]
  }, {
    "Id" : 43,
    "Titles" : null,
    "Text" : "Technical Notes.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "3",
    "Images" : [ ]
  }, {
    "Id" : 44,
    "Titles" : null,
    "Text" : "Used Page Integration Wizard in ERP Cloud to add the page into ERP Cloud.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 45,
    "Titles" : null,
    "Text" : "",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ {
      "id" : 4,
      "file" : "image5.png",
      "text" : "Page negration Wizard: New Pages.\nWc rms.\n7) me in we.\nnasevsaces russe.\nnesses Fuse nassau — 1 1 [==.\nTT ABEL Sn TE TTT.\nBonamaCotepory wage.\nSecu WebPage.\nEXu9BITST DASHBONRDS A. ssotsank.\nEXTuRRITE PRETRAEL AUTH."
    } ]
  }, {
    "Id" : 46,
    "Titles" : null,
    "Text" : "Modified new page with an HTML component to embed HTML/JS code within screen.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 47,
    "Titles" : null,
    "Text" : "Embedded HTML to be used for PCS snippet.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 48,
    "Titles" : null,
    "Text" : "ZIP file containing UI Cookbook for PCS.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 49,
    "Titles" : null,
    "Text" : "",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ {
      "id" : 5,
      "file" : "image8.png",
      "text" : "JERERME DRSCARLESEN.\ner Gig; User ciace 6d Lye: i - STE re Gsncns.\n[en.\nETT EP Comore ropases: um asa gern <n. Won PreTravel Authorization to oto Sie.\nBs +.\nrows + n Suomi Feder 3.\nrea asuTee.\na ec a.\nToss tw mac or stat sr >.\nDerek er lass Bees Bmhen2>.\noe SOTA 2 aoa cS SAS20 Ls 55.\nne Fpecenis -\ner betzgoracecom By ONT 2052 WAAR CASAS OBR Sam.\ni. akaeiag.\note pr gro a cones oR.\nhens Of por Dm Drs. 1 Esmated Cost of Trove =m.\n2 showcamponen +.\nsow OK cance."
    } ]
  }, {
    "Id" : 50,
    "Titles" : null,
    "Text" : "You will need to change all the css and js library URLs to point to your location.  These css and js files will be hosted by PCS in the future.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 51,
    "Titles" : null,
    "Text" : "//Since we do not have a common identity provider, we had to hard-code the PCS user/pw in the javascript below.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 52,
    "Titles" : null,
    "Text" : "var tok = 'your_pcs_user@oracle.com' + ':' + 'enter password';.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 53,
    "Titles" : null,
    "Text" : "//Point below to your PCS instance.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 54,
    "Titles" : null,
    "Text" : "serverURL: 'https://oracleprocessctrial3759-usoracletrial66687.process.us2.oraclecloud.com'.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 55,
    "Titles" : null,
    "Text" : "processDefId: 'default~TravelAuth-FormStart!1.6~TravelApproval',",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 56,
    "Titles" : null,
    "Text" : "processName: 'TravelApproval',",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 57,
    "Titles" : null,
    "Text" : "serviceName: 'TravelApproval.service',",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 58,
    "Titles" : null,
    "Text" : "//title: 'Travel Auth(2.0)',",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 59,
    "Titles" : null,
    "Text" : "//description: 'Travel Auth(2.0)',",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 60,
    "Titles" : null,
    "Text" : "operation: 'startEvent1'.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 61,
    "Titles" : null,
    "Text" : "Approve Travel Request in PCS (or via iPad).",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "2",
    "Images" : [ ]
  }, {
    "Id" : 62,
    "Titles" : null,
    "Text" : "Approve the travel authorization with the submitter’s manager in ERP Cloud.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 63,
    "Titles" : null,
    "Text" : "",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ {
      "id" : 6,
      "file" : "image9.png",
      "text" : ""
    } ]
  }, {
    "Id" : 64,
    "Titles" : null,
    "Text" : "This process is using (controlled availability) HCM Cloud REST Services to find the manager for the process submitter.  This removes the need for having to copy over any supervisor hierarchy.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 65,
    "Titles" : null,
    "Text" : "Expense Report Created in ERP Cloud Based On Travel Auth Info.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "2",
    "Images" : [ ]
  }, {
    "Id" : 66,
    "Titles" : null,
    "Text" : "We pass the process id as the “authorization identifier” along with the details of the approval to create a holder expense report for the employee to then fill out after travel.  Currently there is no funds checking or funds reservation however as those services become available, that should be possible.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 67,
    "Titles" : null,
    "Text" : "",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ {
      "id" : 7,
      "file" : "image10.png",
      "text" : "Expenses Tasks © Create Expense [tems in Spreadsheet.\n© Manage Bank Accounts.\n* Manage Delegates Search Expense Reports [=.\n® advanced Overview.\nExpenses Travel.\nExpense Reports.\nIn Progress (2) | Pending Approval (0) | Processed (0).\nActors + View Fomatv  § E  Hivewn.\nCreate Report.\nReport Number Date ReportStatus Purpose.\nTravelAuthibpnn306 67116 Saved “Travel Auth for: Miami, FL-Custamer Visit - $1500.\nTravelauthibpmn: 343 61/16 saved.\nTravel Auth for: Las Vegas, WV- - $89."
    } ]
  }, {
    "Id" : 68,
    "Titles" : null,
    "Text" : "Assumptions.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "1",
    "Images" : [ ]
  }, {
    "Id" : 69,
    "Titles" : null,
    "Text" : "16.3.3 PCS Instance Version.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 70,
    "Titles" : null,
    "Text" : "Submitter and Approver in PCS exist in Fusion ERP Cloud.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 71,
    "Titles" : null,
    "Text" : "Submitter and Approver have correct roles in PCS to perform duty.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 72,
    "Titles" : null,
    "Text" : "Work email in ERP Cloud must equal user’s login credentials for PCS.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "-1",
    "Images" : [ ]
  }, {
    "Id" : 73,
    "Titles" : null,
    "Text" : "Open and Closed Issues.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "0",
    "Images" : [ ]
  }, {
    "Id" : 74,
    "Titles" : null,
    "Text" : "Open Issues.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "1",
    "Images" : [ ]
  }, {
    "Id" : 75,
    "Titles" : null,
    "Text" : "Closed Issues.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : "1",
    "Images" : [ ]
  } ]
}